Permalink
Browse files

upgrade to require 2.1.2

  • Loading branch information...
1 parent 5b879cf commit 96cd09a1360abc44ccf021e2baf10e311fe51dd6 @rmurphey committed Dec 27, 2012
Showing with 1,402 additions and 1,461 deletions.
  1. +5 −6 app/config.js
  2. +1,392 −1,452 lib/require.js
  3. +1 −1 tests/app/functions.js
  4. +3 −1 tests/app/objects.js
  5. +1 −1 tests/app/recursion.js
View
@@ -15,18 +15,17 @@ require.config({
underscore : '../lib/underscore',
backbone : '../lib/backbone',
- // Shim Plugin
- use : '../lib/plugins/use',
+ // Require plugin
text : '../lib/plugins/text'
},
- use : {
+ shim : {
underscore : {
- attach : '_'
+ exports : '_'
},
backbone : {
- deps : [ 'use!underscore', 'jquery' ],
- attach : 'Backbone'
+ deps : [ 'underscore', 'jquery' ],
+ exports : 'Backbone'
}
}
});
Oops, something went wrong.

0 comments on commit 96cd09a

Please sign in to comment.